org.crosswire.jsword.passage

## Class PassageTally.VerseIterator

- java.lang.Object
- - org.crosswire.jsword.passage.PassageTally.VerseIterator

- All Implemented Interfaces:
    Iterator<Key>
  Enclosing class:
    PassageTally

      private final class PassageTally.VerseIterator
      extends Object
      implements Iterator<Key>

  Iterate over the Verses in normal verse order
  Author:
    Joe Walker

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `next` What is the next Verse to be considered

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PassageTally.VerseIterator()` Find the first unused verse

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `calculateNext()` Find the next bit
    `boolean` | `hasNext()`
    `Key` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### next

          private int next

      What is the next Verse to be considered

  - ### Constructor Detail

    - #### PassageTally.VerseIterator

          protected PassageTally.VerseIterator()

      Find the first unused verse

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<Key>`

    - #### next

          public Key next()
                   throws NoSuchElementException

      Specified by:
        `next` in interface `Iterator<Key>`
      Throws:
        `NoSuchElementException`

    - #### remove

          public void remove()
                      throws UnsupportedOperationException

      Specified by:
        `remove` in interface `Iterator<Key>`
      Throws:
        `UnsupportedOperationException`

    - #### calculateNext

          private void calculateNext()

      Find the next bit